/*
 * Copyright 2024 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef _AUDIODATASTREAM_H
#define _AUDIODATASTREAM_H

struct _AudioDataStream {
    typedef int (*AudioDataToStreamWriteFunc)(const uint8_t *data,
                                              uint32_t data_length,
                                              void *p_user_data);

    AudioDataToStreamWriteFunc audio_data_to_stream_write_func;
    void *p_user_data;
};

#endif
